"use strict";

module.exports = ({ template }) => {
  const moduleExportsDeclaration = template(`
    import NAME from 'IMPORT';
  `);
  return {
    name: "metro-replace-ts-require-assignment",
    visitor: {
      TSImportEqualsDeclaration(path) {
        const { node } = path;
        path.replaceWith(
          moduleExportsDeclaration({
            IMPORT: node.moduleReference.expression,
            NAME: node.id,
          })
        );
      },
    },
  };
};
